class ApiConstants {
  // Base URL
  static const String baseUrl = 'https://backend.glowwheels.in/api';

  // Auth
  static String loginUrl = '$baseUrl/shop/login';

  // Shop
  static String shopDetails(String shopId) => '$baseUrl/shop/$shopId';

  // Orders
  static String ordersByShop(String shopId) => '$baseUrl/order/shop/$shopId';
  static String assignServiceBoy(String orderId) => '$baseUrl/order/assign-serviceboy/$orderId';
  static String updateOrderStatusByAdmin(String orderId) => '$baseUrl/order/update-status-admin/$orderId';

  // Service Boy
  static String serviceBoyDetails(String serviceBoyId) => '$baseUrl/service-boy/$serviceBoyId';
  static String serviceBoysByShop(String shopId) => '$baseUrl/service-boy/shop/$shopId';
  static String addServiceBoy = '$baseUrl/service-boy/add';
}
